Show / Hide Table of Contents

# Class List

A list of Values for serialization by an IConfigProvider. Use List() or From(IEnumerable<Value>) to create.

##### Inheritance

Object
Value
List

##### Implements

IList<Value>
ICollection<Value>
IEnumerable<Value>
IEnumerable

##### Inherited Members

Value.Null()
Value.List()
Value.Map()
Value.From(String)
Value.Text(String)
Value.From(Int64)
Value.Integer(Int64)
Value.From(Decimal)
Value.Float(Decimal)
Value.From(Boolean)
Value.Bool(Boolean)
Value.From(IEnumerable<Value>)
Value.From(IDictionary<String, Value>)
Value.From(IEnumerable<KeyValuePair<String, Value>>)
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Data

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class List : Value, IList<Value>, ICollection<Value>, IEnumerable<Value>, IEnumerable

### Properties

| Improve this Doc View Source

#### Count

Gets the number of elements in the List.

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

##### See Also

Count
| Improve this Doc View Source

#### Item[Int32]

Gets the value at the given index in this List.

##### Declaration

    public Value this[int index] { get; set; }

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | index | the index to retrieve the Value at

##### Property Value

Type | Description
--- | ---
Value | the Value at `index`

##### See Also

Item[Int32]

### Methods

| Improve this Doc View Source

#### Add(Value)

Adds a Value to the end of this List.

##### Declaration

    public void Add(Value item)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | item | the Value to add

##### See Also

Add(T)
| Improve this Doc View Source

#### AddRange(IEnumerable<Value>)

Adds a range of Values to the end of this List.

##### Declaration

    public void AddRange(IEnumerable<Value> vals)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<Value> | vals | the range of Values to add

| Improve this Doc View Source

#### Clear()

Clears the List.

##### Declaration

    public void Clear()

##### See Also

Clear()
| Improve this Doc View Source

#### Contains(Value)

Checks if the List contains a certian item.

##### Declaration

    public bool Contains(Value item)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | item | the Value to check for

##### Returns

Type | Description
--- | ---
Boolean | true if the item was founc, otherwise false

##### See Also

Contains(T)
| Improve this Doc View Source

#### CopyTo(Value[], Int32)

Copies the Values in the List to the Array in `array`.

##### Declaration

    public void CopyTo(Value[] array, int arrayIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
Value[] | array | the Array to copy to
Int32 | arrayIndex | the starting index to copy to

##### See Also

CopyTo(T[], Int32)
| Improve this Doc View Source

#### GetEnumerator()

Gets an enumerator to enumerate the List.

##### Declaration

    public IEnumerator<Value> GetEnumerator()

##### Returns

Type | Description
--- | ---
IEnumerator<Value> | an IEnumerator<T> for this List

##### See Also

GetEnumerator()
| Improve this Doc View Source

#### IndexOf(Value)

Gets the index that a given Value is in the List.

##### Declaration

    public int IndexOf(Value item)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | item | the Value to search for

##### Returns

Type | Description
--- | ---
Int32 | the index that the `item` was at, or -1.

##### See Also

IndexOf(T)
| Improve this Doc View Source

#### Insert(Int32, Value)

Inserts a Value at an index.

##### Declaration

    public void Insert(int index, Value item)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | index | the index to insert at
Value | item | the Value to insert

##### See Also

Insert(Int32, T)
| Improve this Doc View Source

#### Remove(Value)

Removes a Value from the List.

##### Declaration

    public bool Remove(Value item)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | item | the Value to remove

##### Returns

Type | Description
--- | ---
Boolean | true if the item was removed, false otherwise

##### See Also

Remove(T)
| Improve this Doc View Source

#### RemoveAt(Int32)

Removes a Value at an index.

##### Declaration

    public void RemoveAt(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | index | the index to remove a Value at

##### See Also

RemoveAt(Int32)
| Improve this Doc View Source

#### ToString()

Converts this Value into a human-readable format.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String | a comma-seperated list of the result of ToString() wrapped in square brackets

##### Overrides

Value.ToString()

### Explicit Interface Implementations

| Improve this Doc View Source

#### ICollection<Value>.IsReadOnly

##### Declaration

    bool ICollection<Value>.IsReadOnly { get; }

##### Returns

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
IEnumerator |

### Implements

System.Collections.Generic.IList<T>
System.Collections.Generic.ICollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.IEnumerable

### Extension Methods

EnumerableExtensions.Prepend<T>(IEnumerable<T>, T)
EnumerableExtensions.Append<T>(IEnumerable<T>, T)
EnumerableExtensions.NonNull<T>(IEnumerable<T>)
EnumerableExtensions.NonNull<T, U>(IEnumerable<T>, Func<T, U>)
EnumerableExtensions.NonNull<T, U>(IEnumerable<T>, Func<T, Nullable<U>>)
ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])